/**
 * twitter連携機能まとめ
 *
 */
var twitter = (function() {
	var api_key = "";
	var api_secret = "";
	
	var request_token;
	var request_secret;

	return {
		send_tweet: function ( tweet ) {
		     return send_tweet( tweet );
		},
		reset_token: function (  ) {
		     return reset( );
		}
	}
	
	/**
	 * ツイートを送信する
	 *
	 */
	function send_tweet( tweet )
	{
	    cordova.exec(
	         function(params){
	         	// 成功の場合
	         	callback(params);
	         },
	         function(errs){
				PGLog.write("Fail to twitter api");
				navigator.notification.alert("サーバーとの接続に失敗しました");
	         },
	         "twitter",
	         "tweet",
	         [tweet] // send params
	    );
		
	/*
	    var accessor = {
	      consumerSecret: api_secret,
	      tokenSecret: ''
	    };
	    
		var message = {
			method: "GET",
			action: "https://api.twitter.com/oauth/request_token",
			parameters: {
				oauth_signature_method: "HMAC-SHA1",
				oauth_consumer_key:api_key 
			}
		};
	
		OAuth.setTimestampAndNonce(message);
		OAuth.SignatureMethod.sign(message, accessor);
		var target = OAuth.addToURL(message.action, message.parameters);
		var options = {
			type: message.method,
			url: target,
			success: function(d, dt) { 
						alert("お返事:"+d+";"+dt);
						if(dt == "success")
						{
							var res = getUrlVars(d);
							request_token = res.oauth_token;
							request_secret = res.oauth_token_secret;;
							
							alert("取得できたのか？:"+request_token+"///"+request_secret);
						}
						 
					},
		};
	alert("リクエストトークン取得:" + target);
		jQuery.ajax(options); // 送信
	*/	
	}
	
	function reset()
	{
	    cordova.exec(
	         function(params){
	         	// 成功の場合
	         },
	         function(errs){
				PGLog.write("Fail to twitter api");
				navigator.notification.alert("サーバーとの接続に失敗しました");
	         },
	         "twitter",
	         "reset",
	         [null] // send params
	    );
	}
	
	function getAccessToken(pin)
	{
		var accessor = {
	      consumerSecret: api_secret,
	      tokenSecret: request_secret
		};
	   
		var message = {
	      method: "GET",
	      action: "http://twitter.com/oauth/access_token",
	      parameters: {
	        oauth_signature_method: "HMAC-SHA1",
	        oauth_consumer_key: api_key,
	        oauth_token: request_token,
	        oauth_verifier: pin
	      }
		};
		OAuth.setTimestampAndNonce(message);
		OAuth.SignatureMethod.sign(message, accessor);
		var target = OAuth.addToURL(message.action, message.parameters);
		var options = {
	      type: message.method,
	      url: target,
	      success: function(d, dt) { /* 返り値からAccess Token/Access Token Secretを取り出す */ },
		};
		jQuery.ajax(options); // 送信
	};
	
	
	function getUrlVars(param)
	{
	    var vars = [], hash;
	    var hashes = param.split('&');
	    for(var i = 0; i <hashes.length; i++)
	    {
	        hash = hashes[i].split('=');
	        vars.push(hash[0]);
	        vars[hash[0]] = hash[1];
	    }
		
		return vars;
	}
	
})();

