/**
 * SNS連携機能まとめ
 *
 */
var PGInvite = (function() {
	
	// private field
	var api_key = "";
	var api_secret = "";
	
	var request_token;
	var request_secret;
	
	// public Function
	return {
		mail_to: function ( msg ) {
	     	return mail_to( msg );
		},
		send_tweet: function ( tweet ,callback_url) {
		     return send_tweet( tweet ,callback_url);
		},
		reset_token: function (  ) {
		     return reset( );
		},
		send_facebook: function( msg ) {
		     return send_facebook( msg );
		},
		send_line: function ( msg ) {
		     return send_line( msg );
		}
	}
	
		
	/** メーラーにメッセージを送る
	 *
	 */
	function mail_to( msg )
	{
		alert("メーラーを起動したい");
		location.href='mailto:?subject=協力お願いします。&body=武将が招待で貰えるのでやって下さい。チュートリアルまで。できれば。おねがい';
	}
	
	/**
	 * ツイートを送信する
	 * 2014/05/27 脆弱性診断回避の為、twitter連携機能をオミット。intentによる投稿へ切り替え。
	 *
	 */
	function send_tweet( tweet ,callback_url)
	{
	
	
	    cordova.exec(
	         function(params){
	         	// 成功の場合
	//	alert("tweet成功:"+callback_url);
	         	tweet_callback(params,callback_url);
	         },
	         function(errs){
				PGLog.write("Fail to twitter api");
	//			navigator.notification.alert("サーバーとの接続に失敗しました");
	         },
	         "invite",
	         "tweet",
	         [tweet,encodeURIComponent(callback_url)] // send params
	    );
	}
	
	/** Tweet成功。指定URLに戻る
	 *
	 */
	function tweet_callback(result,url)
	{
		AppContent.onLoadContent(decodeURIComponent(url));
	}
	
	function reset()
	{
	    cordova.exec(
	         function(params){
	         	// 成功の場合
	         },
	         function(errs){
				PGLog.write("Fail to twitter api");
				navigator.notification.alert("サーバーとの接続に失敗しました");
	         },
	         "invite",
	         "reset",
	         [null] // send params
	    );
	}
	
	function send_facebook( msg )
	{
	    cordova.exec(
	         function(params){
	         	// 成功の場合
	         	callback(params);
	         },
	         function(errs){
				PGLog.write("Fail to line api");
				navigator.notification.alert("接続に失敗しました");
	         },
	         "invite",
	         "send_facebook",
	         [msg] // send params
	    );
	}
	
	/**
	 * LINEにメッセージを送信する
	 *
	 */
	function send_line( msg )
	{
	    cordova.exec(
	         function(params){
	         	// 成功の場合
	         	callback(params);
	         },
	         function(errs){
				PGLog.write("Fail to line api");
				navigator.notification.alert("接続に失敗しました");
	         },
	         "invite",
	         "send_line",
	         [msg] // send params
	    );
		
	}
	
	
	function getAccessToken(pin)
	{
		var accessor = {
	      consumerSecret: api_secret,
	      tokenSecret: request_secret
		};
	   
		var message = {
	      method: "GET",
	      action: "http://twitter.com/oauth/access_token",
	      parameters: {
	        oauth_signature_method: "HMAC-SHA1",
	        oauth_consumer_key: api_key,
	        oauth_token: request_token,
	        oauth_verifier: pin
	      }
		};
		OAuth.setTimestampAndNonce(message);
		OAuth.SignatureMethod.sign(message, accessor);
		var target = OAuth.addToURL(message.action, message.parameters);
		var options = {
	      type: message.method,
	      url: target,
	      success: function(d, dt) { /* 返り値からAccess Token/Access Token Secretを取り出す */ },
		};
		jQuery.ajax(options); // 送信
	};
	
	function getUrlVars(param)
	{
	    var vars = [], hash;
	    var hashes = param.split('&');
	    for(var i = 0; i <hashes.length; i++)
	    {
	        hash = hashes[i].split('=');
	        vars.push(hash[0]);
	        vars[hash[0]] = hash[1];
	    }
		
		return vars;
	}
		
})();

