/*
*   ローカル通知機能
*/
var PGLocalNotification = (function() {
	return {
		local_regist: function (param) {
		    return local_regist(param);
		},
		cancel: function (id) {
		    return cancel(id);
		}
	}
	
	/* 
	*	ローカル通知登録
	*/
	function local_regist(param){
		var NotificationId = param.nid;
		var triggerTime = param.time;
		var ContentTitle = param.title;
		var ContentText = param.message;
	    var badge_num = 1;
		
		
	    cordova.exec(
	         function(params){
	         	// success
	         	PGLog.write("regist local notification success");
	         },
	         function(errs){
				PGLog.write("Fail to regist local notification");
	         },
	         "localNotification",
	         "regist",
	         [NotificationId,badge_num,triggerTime,ContentTitle,ContentText] // send params
	    );
	}
	
	/*
	 * 指定しているローカル通知をキャンセルする
	 */
	function cancel(id){
	    cordova.exec(
	        function(params){
	            PGLog.write("success!");
	                 
	        },
	        function(errs){
	            PGLog.write("fail!");
	                 
	        },
	        "localNotification",
	        "cancel",
	        [id] // send params
	    );
	}
		
})();
